<?php



$tdatatb_consultorios = array();
$tdatatb_consultorios[".searchableFields"] = array();
$tdatatb_consultorios[".ShortName"] = "tb_consultorios";
$tdatatb_consultorios[".OwnerID"] = "";
$tdatatb_consultorios[".OriginalTable"] = "tb_consultorios";


$tdatatb_consultorios[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_consultorios[".originalPagesByType"] = $tdatatb_consultorios[".pagesByType"];
$tdatatb_consultorios[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_consultorios[".originalPages"] = $tdatatb_consultorios[".pages"];
$tdatatb_consultorios[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_consultorios[".originalDefaultPages"] = $tdatatb_consultorios[".defaultPages"];

//	field labels
$fieldLabelstb_consultorios = array();
$fieldToolTipstb_consultorios = array();
$pageTitlestb_consultorios = array();
$placeHolderstb_consultorios = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_consultorios["English"] = array();
	$fieldToolTipstb_consultorios["English"] = array();
	$placeHolderstb_consultorios["English"] = array();
	$pageTitlestb_consultorios["English"] = array();
	$fieldLabelstb_consultorios["English"]["consultorioID"] = "ID";
	$fieldToolTipstb_consultorios["English"]["consultorioID"] = "";
	$placeHolderstb_consultorios["English"]["consultorioID"] = "";
	$fieldLabelstb_consultorios["English"]["medicoID"] = "Médico ID";
	$fieldToolTipstb_consultorios["English"]["medicoID"] = "";
	$placeHolderstb_consultorios["English"]["medicoID"] = "";
	$fieldLabelstb_consultorios["English"]["local"] = "Local";
	$fieldToolTipstb_consultorios["English"]["local"] = "";
	$placeHolderstb_consultorios["English"]["local"] = "";
	$fieldLabelstb_consultorios["English"]["andar_sala"] = "Andar Sala";
	$fieldToolTipstb_consultorios["English"]["andar_sala"] = "";
	$placeHolderstb_consultorios["English"]["andar_sala"] = "";
	$fieldLabelstb_consultorios["English"]["endereco"] = "Endereço ";
	$fieldToolTipstb_consultorios["English"]["endereco"] = "";
	$placeHolderstb_consultorios["English"]["endereco"] = "";
	$fieldLabelstb_consultorios["English"]["cidade"] = "Cidade";
	$fieldToolTipstb_consultorios["English"]["cidade"] = "";
	$placeHolderstb_consultorios["English"]["cidade"] = "";
	$fieldLabelstb_consultorios["English"]["horarios"] = "Horários ";
	$fieldToolTipstb_consultorios["English"]["horarios"] = "";
	$placeHolderstb_consultorios["English"]["horarios"] = "";
	$fieldLabelstb_consultorios["English"]["fone"] = "Fone";
	$fieldToolTipstb_consultorios["English"]["fone"] = "";
	$placeHolderstb_consultorios["English"]["fone"] = "";
	$fieldLabelstb_consultorios["English"]["whatsapp"] = "Whatsapp";
	$fieldToolTipstb_consultorios["English"]["whatsapp"] = "";
	$placeHolderstb_consultorios["English"]["whatsapp"] = "";
	$fieldLabelstb_consultorios["English"]["email"] = "Email";
	$fieldToolTipstb_consultorios["English"]["email"] = "";
	$placeHolderstb_consultorios["English"]["email"] = "";
	$fieldLabelstb_consultorios["English"]["observacoes"] = "Observações ";
	$fieldToolTipstb_consultorios["English"]["observacoes"] = "";
	$placeHolderstb_consultorios["English"]["observacoes"] = "";
	$fieldLabelstb_consultorios["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_consultorios["English"]["ativar"] = "";
	$placeHolderstb_consultorios["English"]["ativar"] = "";
	$pageTitlestb_consultorios["English"]["add"] = "Consultorios, Add new";
	if (count($fieldToolTipstb_consultorios["English"]))
		$tdatatb_consultorios[".isUseToolTips"] = true;
}


	$tdatatb_consultorios[".NCSearch"] = true;



$tdatatb_consultorios[".shortTableName"] = "tb_consultorios";
$tdatatb_consultorios[".nSecOptions"] = 0;

$tdatatb_consultorios[".mainTableOwnerID"] = "";
$tdatatb_consultorios[".entityType"] = 0;

$tdatatb_consultorios[".strOriginalTableName"] = "tb_consultorios";

	



$tdatatb_consultorios[".showAddInPopup"] = false;

$tdatatb_consultorios[".showEditInPopup"] = false;

$tdatatb_consultorios[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_consultorios[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_consultorios[".listAjax"] = false;
//	temporary
$tdatatb_consultorios[".listAjax"] = false;

	$tdatatb_consultorios[".audit"] = false;

	$tdatatb_consultorios[".locking"] = false;


$pages = $tdatatb_consultorios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_consultorios[".edit"] = true;
	$tdatatb_consultorios[".afterEditAction"] = 0;
	$tdatatb_consultorios[".closePopupAfterEdit"] = 1;
	$tdatatb_consultorios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_consultorios[".add"] = true;
$tdatatb_consultorios[".afterAddAction"] = 0;
$tdatatb_consultorios[".closePopupAfterAdd"] = 1;
$tdatatb_consultorios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_consultorios[".list"] = true;
}



$tdatatb_consultorios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_consultorios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_consultorios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_consultorios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_consultorios[".printFriendly"] = true;
}



$tdatatb_consultorios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_consultorios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_consultorios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_consultorios[".isUseAjaxSuggest"] = true;

$tdatatb_consultorios[".rowHighlite"] = true;





$tdatatb_consultorios[".ajaxCodeSnippetAdded"] = false;

$tdatatb_consultorios[".buttonsAdded"] = false;

$tdatatb_consultorios[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_consultorios[".isUseTimeForSearch"] = false;


$tdatatb_consultorios[".badgeColor"] = "bc8f8f";


$tdatatb_consultorios[".allSearchFields"] = array();
$tdatatb_consultorios[".filterFields"] = array();
$tdatatb_consultorios[".requiredSearchFields"] = array();

$tdatatb_consultorios[".googleLikeFields"] = array();
$tdatatb_consultorios[".googleLikeFields"][] = "consultorioID";
$tdatatb_consultorios[".googleLikeFields"][] = "medicoID";
$tdatatb_consultorios[".googleLikeFields"][] = "local";
$tdatatb_consultorios[".googleLikeFields"][] = "andar_sala";
$tdatatb_consultorios[".googleLikeFields"][] = "endereco";
$tdatatb_consultorios[".googleLikeFields"][] = "cidade";
$tdatatb_consultorios[".googleLikeFields"][] = "horarios";
$tdatatb_consultorios[".googleLikeFields"][] = "fone";
$tdatatb_consultorios[".googleLikeFields"][] = "whatsapp";
$tdatatb_consultorios[".googleLikeFields"][] = "email";
$tdatatb_consultorios[".googleLikeFields"][] = "observacoes";
$tdatatb_consultorios[".googleLikeFields"][] = "ativar";



$tdatatb_consultorios[".tableType"] = "list";

$tdatatb_consultorios[".printerPageOrientation"] = 0;
$tdatatb_consultorios[".nPrinterPageScale"] = 100;

$tdatatb_consultorios[".nPrinterSplitRecords"] = 40;

$tdatatb_consultorios[".geocodingEnabled"] = false;










$tdatatb_consultorios[".pageSize"] = 20;

$tdatatb_consultorios[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_consultorios[".strOrderBy"] = $tstrOrderBy;

$tdatatb_consultorios[".orderindexes"] = array();

$tdatatb_consultorios[".sqlHead"] = "SELECT consultorioID,  	medicoID,  	`local`,  	andar_sala,  	endereco,  	cidade,  	horarios,  	fone,  	whatsapp,  	email,  	observacoes,  	ativar";
$tdatatb_consultorios[".sqlFrom"] = "FROM tb_consultorios";
$tdatatb_consultorios[".sqlWhereExpr"] = "";
$tdatatb_consultorios[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_consultorios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_consultorios[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_consultorios[".highlightSearchResults"] = true;

$tableKeystb_consultorios = array();
$tableKeystb_consultorios[] = "consultorioID";
$tdatatb_consultorios[".Keys"] = $tableKeystb_consultorios;


$tdatatb_consultorios[".hideMobileList"] = array();




//	consultorioID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "consultorioID";
	$fdata["GoodName"] = "consultorioID";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","consultorioID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "consultorioID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "consultorioID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["consultorioID"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "consultorioID";
//	medicoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "medicoID";
	$fdata["GoodName"] = "medicoID";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","medicoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "medicoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["medicoID"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "medicoID";
//	local
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "local";
	$fdata["GoodName"] = "local";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","local");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "local";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`local`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["local"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "local";
//	andar_sala
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "andar_sala";
	$fdata["GoodName"] = "andar_sala";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","andar_sala");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "andar_sala";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "andar_sala";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["andar_sala"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "andar_sala";
//	endereco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "endereco";
	$fdata["GoodName"] = "endereco";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","endereco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "endereco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "endereco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["endereco"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "endereco";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["cidade"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "cidade";
//	horarios
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "horarios";
	$fdata["GoodName"] = "horarios";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","horarios");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "horarios";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "horarios";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["horarios"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "horarios";
//	fone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "fone";
	$fdata["GoodName"] = "fone";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","fone");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["fone"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "fone";
//	whatsapp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "whatsapp";
	$fdata["GoodName"] = "whatsapp";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","whatsapp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whatsapp";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whatsapp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["whatsapp"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "whatsapp";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "email";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["email"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "email";
//	observacoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "observacoes";
	$fdata["GoodName"] = "observacoes";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","observacoes");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["observacoes"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "observacoes";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_consultorios";
	$fdata["Label"] = GetFieldLabel("tb_consultorios","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_consultorios["ativar"] = $fdata;
		$tdatatb_consultorios[".searchableFields"][] = "ativar";


$tables_data["tb_consultorios"]=&$tdatatb_consultorios;
$field_labels["tb_consultorios"] = &$fieldLabelstb_consultorios;
$fieldToolTips["tb_consultorios"] = &$fieldToolTipstb_consultorios;
$placeHolders["tb_consultorios"] = &$placeHolderstb_consultorios;
$page_titles["tb_consultorios"] = &$pageTitlestb_consultorios;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_consultorios"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_consultorios"] = array();



	
				$strOriginalDetailsTable="tb_medicos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_medicos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_medicos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_consultorios"][0] = $masterParams;
				$masterTablesData["tb_consultorios"][0]["masterKeys"] = array();
	$masterTablesData["tb_consultorios"][0]["masterKeys"][]="medicoID";
				$masterTablesData["tb_consultorios"][0]["detailKeys"] = array();
	$masterTablesData["tb_consultorios"][0]["detailKeys"][]="medicoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_consultorios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "consultorioID,  	medicoID,  	`local`,  	andar_sala,  	endereco,  	cidade,  	horarios,  	fone,  	whatsapp,  	email,  	observacoes,  	ativar";
$proto0["m_strFrom"] = "FROM tb_consultorios";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "consultorioID",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto6["m_sql"] = "consultorioID";
$proto6["m_srcTableName"] = "tb_consultorios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "medicoID",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto8["m_sql"] = "medicoID";
$proto8["m_srcTableName"] = "tb_consultorios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "local",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto10["m_sql"] = "`local`";
$proto10["m_srcTableName"] = "tb_consultorios";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "andar_sala",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto12["m_sql"] = "andar_sala";
$proto12["m_srcTableName"] = "tb_consultorios";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "endereco",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto14["m_sql"] = "endereco";
$proto14["m_srcTableName"] = "tb_consultorios";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto16["m_sql"] = "cidade";
$proto16["m_srcTableName"] = "tb_consultorios";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "horarios",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto18["m_sql"] = "horarios";
$proto18["m_srcTableName"] = "tb_consultorios";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "fone",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto20["m_sql"] = "fone";
$proto20["m_srcTableName"] = "tb_consultorios";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "whatsapp",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto22["m_sql"] = "whatsapp";
$proto22["m_srcTableName"] = "tb_consultorios";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto24["m_sql"] = "email";
$proto24["m_srcTableName"] = "tb_consultorios";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "observacoes",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto26["m_sql"] = "observacoes";
$proto26["m_srcTableName"] = "tb_consultorios";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_consultorios",
	"m_srcTableName" => "tb_consultorios"
));

$proto28["m_sql"] = "ativar";
$proto28["m_srcTableName"] = "tb_consultorios";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "tb_consultorios";
$proto31["m_srcTableName"] = "tb_consultorios";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "consultorioID";
$proto31["m_columns"][] = "medicoID";
$proto31["m_columns"][] = "local";
$proto31["m_columns"][] = "andar_sala";
$proto31["m_columns"][] = "endereco";
$proto31["m_columns"][] = "cidade";
$proto31["m_columns"][] = "horarios";
$proto31["m_columns"][] = "fone";
$proto31["m_columns"][] = "whatsapp";
$proto31["m_columns"][] = "email";
$proto31["m_columns"][] = "observacoes";
$proto31["m_columns"][] = "ativar";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "tb_consultorios";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "tb_consultorios";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_consultorios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_consultorios = createSqlQuery_tb_consultorios();


	
		;

												

$tdatatb_consultorios[".sqlquery"] = $queryData_tb_consultorios;

$tableEvents["tb_consultorios"] = new eventsBase;
$tdatatb_consultorios[".hasEvents"] = false;

?>